XML Parsing Constants

## Variables

const | Qore::Xml::XPF_NONE = XPF_NONE
| no flags; standard XML parsing without character reference conversion
const | Qore::Xml::XPF_PRESERVE_ORDER = XPF_PRESERVE_ORDER
| decode XML as data; do not try to preserve element order by re-writing hash keys More...

## Detailed Description

The constants in this group can be combined with binary or to affect the output of parsed XML

## Variable Documentation

const Qore::Xml::XPF_PRESERVE_ORDER = XPF_PRESERVE_ORDER

decode XML as data; do not try to preserve element order by re-writing hash keys

If this option is given and duplicate, out-of-order XML elements are found in the input string, they are deserialized to Qore hash elements with the same name as the XML element but including a caret `'^'` and a numeric prefix to maintain the same key order in the Qore hash as in the input XML string.

In this case, if the data structure is reserialized with make_xml(), an XML string corresponding to the original input should be generated.

This option should only be used when it is important to maintain the XML element order in the resulting Qore data structure (for example, when the data must be re-serialized to an XML string and the element order within a subelement must be maintained), for example, when parsing and reserializing an OSX property list in XML format.